package betterwithmods.common.blocks;

import betterwithmods.common.BWMBlocks;
import net.minecraft.block.BlockDirt;
import net.minecraft.block.BlockMycelium;
import net.minecraft.block.SoundType;
import net.minecraft.block.state.IBlockState;
import net.minecraft.init.Blocks;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

import javax.annotation.Nonnull;
import java.util.Random;

/**
 * @author Koward
 */
public class BlockMyceliumCustom extends BlockMycelium {
    public BlockMyceliumCustom() {
        super();
        this.func_149711_c(0.6F);
        this.func_149672_a(SoundType.field_185850_c);
        this.setRegistryName("minecraft:mycelium");
        this.func_149663_c("mycelium");
    }

    /**
     * Spread mycelium or turn mycelium back to dirt.
     * Based on {@link BlockMycelium#updateTick(World, BlockPos, IBlockState, Random)} build 2185
     */
    public static void handleMyceliumSpreading(World worldIn, BlockPos pos, Random rand, IBlockState dirtState) {
        if (!worldIn.field_72995_K) {
            if (worldIn.func_175671_l(pos.func_177984_a()) < 4 && worldIn.func_180495_p(pos.func_177984_a()).getLightOpacity(worldIn, pos.func_177984_a()) > 2) {
                worldIn.func_175656_a(pos, dirtState);
            } else {
                if (worldIn.func_175671_l(pos.func_177984_a()) >= 9) {
                    for (int i = 0; i < 4; ++i) {
                        BlockPos blockpos = pos.func_177982_a(rand.nextInt(3) - 1, rand.nextInt(5) - 3, rand.nextInt(3) - 1);
                        IBlockState iblockstate = worldIn.func_180495_p(blockpos);
                        IBlockState iblockstate1 = worldIn.func_180495_p(blockpos.func_177984_a());

                        if (iblockstate.func_177230_c() == Blocks.field_150346_d && iblockstate.func_177229_b(BlockDirt.field_176386_a) == BlockDirt.DirtType.DIRT && worldIn.func_175671_l(blockpos.func_177984_a()) >= 4 && iblockstate1.getLightOpacity(worldIn, blockpos.func_177984_a()) <= 2) {
                            worldIn.func_175656_a(blockpos, Blocks.field_150391_bh.func_176223_P());
                        } else if (iblockstate.func_177230_c() == BWMBlocks.DIRT_SLAB && iblockstate.func_177229_b(BlockDirtSlab.VARIANT) == BlockDirtSlab.DirtSlabType.DIRT && worldIn.func_175671_l(blockpos.func_177984_a()) >= 4 && iblockstate1.getLightOpacity(worldIn, blockpos.func_177984_a()) <= 2) {
                            worldIn.func_175656_a(blockpos, BWMBlocks.DIRT_SLAB.func_176223_P().func_177226_a(BlockDirtSlab.VARIANT, BlockDirtSlab.DirtSlabType.MYCELIUM));
                        }
                    }
                }
            }
        }
    }

    @Override
    public void func_180650_b(World worldIn, @Nonnull BlockPos pos, IBlockState state, @Nonnull Random rand) {
        handleMyceliumSpreading(worldIn, pos, rand, Blocks.field_150346_d.func_176223_P().func_177226_a(BlockDirt.field_176386_a, BlockDirt.DirtType.DIRT));
    }
}
