package betterwithmods.common.items.itemblocks;

import betterwithmods.library.utils.InventoryUtils;
import net.minecraft.block.Block;
import net.minecraft.block.state.IBlockState;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.passive.EntityChicken;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;
import net.minecraft.util.EnumFacing;
import net.minecraft.util.EnumHand;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.IBlockAccess;
import net.minecraftforge.common.EnumPlantType;
import net.minecraftforge.common.IPlantable;

public class ItemHempSeed extends ItemBlock implements IPlantable {
    public ItemHempSeed(Block block) {
        super(block);
    }

    @Override
    public boolean func_111207_a(ItemStack stack, EntityPlayer playerIn, EntityLivingBase target, EnumHand hand) {
        //Confirm this is no longer necessary since the event in HCChickens cancels this method
//        if (BetterWithMods.MODULE_LOADER.isFeatureEnabled(HCChickens.class))
//            return true;
        if (target instanceof EntityChicken) {
            EntityChicken chicken = (EntityChicken) target;
            if (chicken.func_70874_b() == 0 && !chicken.func_70880_s()) {
                chicken.func_146082_f(playerIn);
                InventoryUtils.usePlayerItem(playerIn, EnumFacing.UP, stack, 1);
                return true;
            }
        }
        return false;
    }

    @Override
    public EnumPlantType getPlantType(IBlockAccess world, BlockPos pos) {
        return EnumPlantType.Crop;
    }

    @Override
    public IBlockState getPlant(IBlockAccess world, BlockPos pos) {
        return this.func_179223_d().func_176223_P();
    }
}
