package betterwithmods.module.general.moreheads.client.model;

import net.minecraft.client.model.ModelBase;
import net.minecraft.client.model.ModelRenderer;
import net.minecraft.entity.Entity;

public class ModelHead extends ModelBase {

    protected ModelRenderer head, headwear;
    protected boolean layer2;

    protected int offsetX, offsetY;


    public ModelHead(int offsetX, int offsetY, int width, int height) {
        this.layer2 = true;
        this.field_78090_t = width;
        this.field_78089_u = height;

        this.offsetX = offsetX;
        this.offsetY = offsetY;

        this.head = new ModelRenderer(this, offsetX, offsetY);
        this.head.func_78790_a(-4.0F, -8.0F, -4.0F, 8, 8, 8, 0.0F);
        this.head.func_78793_a(0.0F, 0.0F, 0.0F);

        this.headwear = new ModelRenderer(this, 32, 0);
        this.headwear.func_78790_a(-4.0F, -8.0F, -4.0F, 8, 8, 8, 0.5F);
        this.headwear.func_78793_a(0.0F, 0.0F, 0.0F);
    }

    @Override
    public void func_78088_a(Entity entityIn, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw, float headPitch, float scale) {
        this.func_78087_a(limbSwing, limbSwingAmount, ageInTicks, netHeadYaw, headPitch, scale, entityIn);
        head.func_78785_a(scale);
        if (layer2) {
            headwear.func_78785_a(scale);
        }
    }

    @Override
    public void func_78087_a(float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw, float headPitch, float scaleFactor, Entity entityIn) {
        super.func_78087_a(limbSwing, limbSwingAmount, ageInTicks, netHeadYaw, headPitch, scaleFactor, entityIn);

        this.head.field_78796_g = netHeadYaw * 0.017453292F;
        this.head.field_78795_f = headPitch * 0.017453292F;

        this.headwear.field_78806_j = true;

        this.headwear.field_78800_c = this.head.field_78800_c;
        this.headwear.field_78797_d = this.head.field_78797_d;
        this.headwear.field_78798_e = this.head.field_78798_e;
        this.headwear.field_78795_f = this.head.field_78795_f;
        this.headwear.field_78796_g = this.head.field_78796_g;
        this.headwear.field_78808_h = this.head.field_78808_h;
    }

}
