package betterwithmods.module.tweaks;


import betterwithmods.library.common.modularity.impl.Feature;
import betterwithmods.library.common.recipes.RecipeMatchers;
import betterwithmods.library.common.recipes.RecipeRemover;
import betterwithmods.module.internal.RecipeRegistry;
import net.minecraft.init.Items;

public class CheaperAxes extends Feature {

    @Override
    public void registerRecipes() {
        RecipeRegistry.removeRecipe(new RecipeRemover<>(RecipeMatchers.REGISTRY_NAME, Items.field_151049_t.getRegistryName()));
        RecipeRegistry.removeRecipe(new RecipeRemover<>(RecipeMatchers.REGISTRY_NAME, Items.field_151036_c.getRegistryName()));
        RecipeRegistry.removeRecipe(new RecipeRemover<>(RecipeMatchers.REGISTRY_NAME, Items.field_151006_E.getRegistryName()));
        RecipeRegistry.removeRecipe(new RecipeRemover<>(RecipeMatchers.REGISTRY_NAME, Items.field_151056_x.getRegistryName()));
    }

    @Override
    public String getDescription() {
        return "Change vanilla axe recipes to only require 2 material rather than 3.";
    }
}
