package betterwithmods.client.model.filters;

import net.minecraft.client.model.ModelRenderer;
import net.minecraft.item.ItemStack;
import net.minecraft.util.ResourceLocation;

public class ModelSlats extends ModelWithResource {
    private final ModelRenderer model;

    public ModelSlats(ItemStack slats) {
        super();
        ResourceLocation item = slats.func_77973_b().getRegistryName();
        if (item != null) {
            this.location = new ResourceLocation(item.func_110624_b(), "textures/blocks/" + item.func_110623_a() + ".png");
        }
        model = new ModelRenderer(this, 0, 0);
        model.func_78787_b(16, 16);
        model.func_78789_a(-5.5F, 5.8F, -8F, 2, 2, 16);
        model.func_78789_a(-2.67F, 5.8F, -8F, 2, 2, 16);
        model.func_78789_a(0.26F, 5.8F, -8F, 2, 2, 16);
        model.func_78789_a(3.19F, 5.8F, -8F, 2, 2, 16);
    }

    @Override
    public void renderModels(float scale) {
        model.func_78785_a(scale);
    }

    @Override
    public boolean isSolid() {
        return false;
    }
}
