package betterwithmods.module.hardcore.world.structures;

import betterwithmods.module.recipes.miniblocks.DynamicType;
import betterwithmods.module.recipes.miniblocks.MiniBlocks;
import net.minecraft.block.BlockFence;
import net.minecraft.block.state.IBlockState;
import net.minecraft.init.Blocks;
import net.minecraft.util.ResourceLocation;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;
import net.minecraft.world.gen.structure.StructureComponent;

public class TableChanger implements IChanger {
    @Override
    public boolean canChangeState(StructureComponent structure, World world, BlockPos pos, BlockPos relativePos, IBlockState state) {
        if (state.func_177230_c() == Blocks.field_150452_aw) {
            IBlockState below = world.func_180495_p(pos.func_177977_b());
            return below.func_177230_c() instanceof BlockFence;
        }
        return false;
    }

    @Override
    public IBlockState changeState(StructureComponent structure, World world, BlockPos pos, BlockPos relativePos, IBlockState state) {
        MiniBlocks.placeMini(world, pos.func_177977_b(), DynamicType.TABLE, Blocks.field_150344_f.func_176223_P());
        return Blocks.field_150350_a.func_176223_P();
    }

    @Override
    public boolean canChangeLoot(StructureComponent structure, World world, BlockPos pos, ResourceLocation lootTable) {
        return false;
    }

    @Override
    public ResourceLocation changeLootTable(StructureComponent structure, World world, BlockPos pos, ResourceLocation lootTable) {
        return null;
    }
}
