package betterwithmods.module.tweaks;

import betterwithmods.library.common.modularity.impl.Feature;
import net.minecraft.entity.EntityLiving;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.init.MobEffects;
import net.minecraftforge.event.entity.living.LivingEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;


public class BabyJumping extends Feature {

    @SubscribeEvent
    public void onJump(LivingEvent.LivingJumpEvent event) {
        EntityLivingBase entity = event.getEntityLiving();
        if (entity instanceof EntityLiving) {
            if (!entity.func_70631_g_())
                return;

            double motionY = 0.42;

            if (entity.func_70644_a(MobEffects.field_76430_j)) {
                motionY += (double) ((float) (entity.func_70660_b(MobEffects.field_76430_j).func_76458_c() + 1) * 0.1F);
            }
            entity.field_70181_x -= motionY;
        }
    }

    @Override
    public String getDescription() {
        return "Make it so babies can no longer jump. Adds some possibilities for automation";
    }

    @Override
    public boolean hasEvent() {
        return true;
    }

}
