package betterwithmods.module.tweaks;

import betterwithmods.common.BWMItems;
import betterwithmods.library.common.modularity.impl.Feature;
import net.minecraft.entity.item.EntityItem;
import net.minecraft.entity.monster.AbstractIllager;
import net.minecraft.entity.passive.EntityVillager;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemStack;
import net.minecraftforge.event.entity.living.LivingDropsEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

/**
 * Created by primetoxinz on 6/25/17.
 */


public class MysteryMeat extends Feature {
    @SubscribeEvent
    public void dropMysteryMeat(LivingDropsEvent event) {
        if (event.getEntityLiving() instanceof EntityPlayer || event.getEntityLiving() instanceof EntityVillager || event.getEntityLiving() instanceof AbstractIllager) {
            addDrop(event, new ItemStack(BWMItems.MYSTERY_MEAT, 1 + event.getEntityLiving().field_70170_p.field_73012_v.nextInt(2) + event.getLootingLevel()));
        }
    }

    public static void addDrop(LivingDropsEvent evt, ItemStack drop) {
        EntityItem item = new EntityItem(evt.getEntityLiving().func_130014_f_(), evt.getEntityLiving().field_70165_t, evt.getEntityLiving().field_70163_u, evt.getEntityLiving().field_70161_v, drop);
        item.func_174869_p();
        evt.getDrops().add(item);
    }

    @Override
    public String getDescription() {
        return "You don't want to know where it comes from...";
    }

    @Override
    public boolean hasEvent() {
        return true;
    }

}
